46 46
constantius

Orangepi 3 h6 allwiner chip

Recommended Posts

3 hours ago, dolphs said:

 

Now that Kernel 5.3 has seen the light I wonder where things stand if I'd build with these options " BOARD=orangepioneplus BRANCH=dev RELEASE=buster BUILD_MINIMAL=yes BUILD_DESKTOP=no KERNEL_ONLY=no KERNEL_CONFIGURE=no "  for OrangePiOneplus .

I suppose a working image ( read: bootable ) can be build?

Also can things rgd OPiOnePlus be moved to a matured status, or that needs to wait at least till a new LTS Kernel 5.4 will pop up somewhere in November ?

I know this doesn't exactly answer your question, but the only way (at least for me) to get a working image for OPiOnePlus is to either copy a dtb file from an older image (kernel 5.1.5 and older works for me) to the new erimages or edit the dtb file of newer images and copy over the cpu opp table values from an older image (5.1.5 and older) to the new image.  Otherwise I'm just stuck with endless bootloops.  Makes no difference if I built the image myself or downloaded a pre-built one. 

Share this post


Link to post
Share on other sites

I have two OPi1+ and both running fine on 5.3.0 and earlier ran fine on 5.2.x as well...

 

Just updated one of those SBCs to the 5.3.0-sunxi64 kernel image I built earlier today (and is available to the public, see link below) and is booting fine.

Share this post


Link to post
Share on other sites

I have tried on my OPi3 the latest 5.3 nightly Buster and Buster Minimal, trying with USB power and DC connector 3A PS. 

 

It crashed in all cases.... 

Share this post


Link to post
Share on other sites

Upgraded to #5.97.190916 an hour ago and noticed Thermal reading is back. Left the system complete idle for an hour. After hour, I noticed thermal reading of 58C while ambient is 26C. It has a good heatsink installed. I remember old days on the board when it was that hot or may be more in idle state.

Share this post


Link to post
Share on other sites
9 hours ago, sadnblueish said:

Upgraded to #5.97.190916 an hour ago and noticed Thermal reading is back. Left the system complete idle for an hour. After hour, I noticed thermal reading of 58C while ambient is 26C. It has a good heatsink installed. I remember old days on the board when it was that hot or may be more in idle state.

64° while running stuff like PiHole. And yes has a heatsink but now fan running right now. But yes, seems higher then before. 

Share this post


Link to post
Share on other sites
1 hour ago, SchmuseTigger said:

64° while running stuff like PiHole. And yes has a heatsink but now fan running right now. But yes, seems higher then before. 

 

What shows your output " cpufreq-info |grep governor " - Should be ondemand I suppose, or set to anything else - eg performance?

Perhaps "conservative" is a nicer way for your situation ramping up step by step to reduce CPU temp ( cpufreq-set -g conservative )  ...

 

Anyway will build (  BOARD=orangepioneplus BRANCH=dev RELEASE=buster BUILD_MINIMAL=yes BUILD_DESKTOP=no KERNEL_ONLY=no KERNEL_CONFIGURE=no ) and flash my H6 OPiOnePlus later today , or is 5.3 already in default  branch ( stable? )

Share this post


Link to post
Share on other sites
4 hours ago, dolphs said:

or is 5.3 already in default  branch ( stable? )

From Armbians point of view it is still the dev branch. Though the linux source repository has been updated to 5.3.0 stable release.

Share this post


Link to post
Share on other sites
20 hours ago, Werner said:

I have two OPi1+ and both running fine on 5.3.0 and earlier ran fine on 5.2.x as well...

 

Just updated one of those SBCs to the 5.3.0-sunxi64 kernel image I built earlier today (and is available to the public, see link below) and is booting fine.

I've seen in your signature that you have OPi1+s, I've even tried some of your pre-built images, but mine refuses to boot unless I use a pre 5.1.5 dtb or modify the cpu opp table. Weird, but as long as there's a workaround, I'm not complaining. 

Share this post


Link to post
Share on other sites

CPU heating up badly. Ambient 26C with heatsink installed.

#5.97.190917

Welcome to Debian Buster with Armbian Linux 5.3.0-sunxi64
System load:   0.00 0.00 0.00   Up time:       4:12 hours
Memory usage:  5 % of 1993MB    IP:            192.168.0.102
CPU temp:      63°C
Usage of /:    25% of 7.1G

 

 

No hidden system load generator processes

 

image.thumb.png.f7fb4ff2b163e5cff0af7b0ca82c6f09.png

Share this post


Link to post
Share on other sites
Welcome to Debian Buster with Armbian Linux 5.3.0-sunxi64
System load:   0.00 0.00 0.00   Up time:       22:28 hours
Memory usage:  9 % of 988MB     IP:            
CPU temp:      54°C

No heat sink, about 22°C environment.

Share this post


Link to post
Share on other sites
2 hours ago, Werner said:

or is 5.3 already in default  branch ( stable? )

 

From there to (end user want to have) stable and minimal Armbian stable standards is still a lot of work. Upstream stable branches are more or less important for us, since we have a new reference point and most likely next stable-to-be kernel. IMO 5.3.y is the only way to cover H6 devices ... porting to 4.19.y is futile.

Share this post


Link to post
Share on other sites
On 9/17/2019 at 12:00 PM, dolphs said:

 

What shows your output " cpufreq-info |grep governor " - Should be ondemand I suppose, or set to anything else - eg performance?

Perhaps "conservative" is a nicer way for your situation ramping up step by step to reduce CPU temp ( cpufreq-set -g conservative )  ...

 

Anyway will build (  BOARD=orangepioneplus BRANCH=dev RELEASE=buster BUILD_MINIMAL=yes BUILD_DESKTOP=no KERNEL_ONLY=no KERNEL_CONFIGURE=no ) and flash my H6 OPiOnePlus later today , or is 5.3 already in default  branch ( stable? )

 

CPU temp:      62°C
Usage of /:    61% of 7.1G

Last login: Tue Sep 17 08:51:11 2019 from 192.168.178.20

root@orangepi3:~# cpufreq-info |grep governor
  available cpufreq governors: conservative, userspace, powersave, ondemand, performance, schedutil
                  The governor "ondemand" may decide which speed to use
  available cpufreq governors: conservative, userspace, powersave, ondemand, performance, schedutil
                  The governor "ondemand" may decide which speed to use
  available cpufreq governors: conservative, userspace, powersave, ondemand, performance, schedutil
                  The governor "ondemand" may decide which speed to use
  available cpufreq governors: conservative, userspace, powersave, ondemand, performance, schedutil
                  The governor "ondemand" may decide which speed to use
not sure why the output was 4 times the same, but that is how it looked on my side. 

Share this post


Link to post
Share on other sites
10 hours ago, SchmuseTigger said:

not sure why the output was 4 times the same, but that is how it looked on my side. 

thats easy ;) cpufreq-info will show the governor for every of your 4 CPUs:

CPUs which run at the same hardware frequency: 0 1 2 3
CPUs which need to have their frequency coordinated by software: 0 1 2 3
analyzing CPU 0:

analyzing CPU 1:

analyzing CPU 2:

analyzing CPU 3:

Share this post


Link to post
Share on other sites
14 hours ago, SchmuseTigger said:

CPU temp:      62°C

still ondemand, try with conservative ..

might result few degrees lower ..

though temperature is rather high imho should be +/- 40 degrees ( depending whether idle or not )

Share this post


Link to post
Share on other sites
48 minutes ago, dolphs said:

still ondemand, try with conservative ..

might result few degrees lower ..

though temperature is rather high imho should be +/- 40 degrees ( depending whether idle or not )

yes, after the change it says conservative, but temp still 60+

Share this post


Link to post
Share on other sites
48 minutes ago, dolphs said:

still ondemand, try with conservative ..

might result few degrees lower ..

though temperature is rather high imho should be +/- 40 degrees ( depending whether idle or not )

that makes so much sense. So you could run the cores differently? But even after updating to latest version and going to slower governor still kinda hot

gov dings.png

Share this post


Link to post
Share on other sites

can i request suggestion on images to try? My orangepi3 always stuck at

[] A start job is running for Armbian filesystem resize (xmin xs / xmin xs) <- xmin and xs is what i wrote because it's not always stuck at the same value

Flashed using Etcher (Ubuntu) and then switched to Win32DiskImager (Windows 10)

Tested with 2 different SD cards but the SD cards able to flash Ubuntu desktop image from OrangePi

using the script, OrangePi_install2EMMC.sh included inside Ubuntu desktop image from OrangePi

http://www.orangepi.org/downloadresources/OrangePi3/2019-01-23/orangepi3_82ad209229e957e13fa953491c.html

 

i tried:

Armbian_5.98.191006_Orangepi3_Debian_buster_dev_5.3.3_minimal.img

Armbian_5.90_Orangepi3_Ubuntu_bionic_dev_5.1.15

Armbian_5.90_Orangepi3_Debian_buster_dev_5.1.15

 

Below is the serial console output (Armbian_5.98.191006_Orangepi3_Debian_buster_dev_5.3.3_minimal):

Spoiler

U-Boot SPL 2019.04-armbian (Oct 06 2019 - 03:05:46 +0200)
DRAM: 2048 MiB
Trying to boot from MMC1
NOTICE:  BL31: v2.1(debug):cf9319f-dirty
NOTICE:  BL31: Built : 03:05:39, Oct  6 2019
NOTICE:  BL31: Detected Allwinner H6 SoC (1728)
NOTICE:  BL31: Found U-Boot DTB at 0xc079e78, model: OrangePi 3
INFO:    ARM GICv2 driver initialized
NOTICE:  PMIC: Probing AXP805
NOTICE:  PMIC: AXP805 detected
INFO:    BL31: Platform setup done
INFO:    BL31: Initializing runtime services
INFO:    BL31: cortex_a53: CPU workaround for 855873 was applied
INFO:    BL31: Preparing for EL3 exit to normal world
INFO:    Entry point address = 0x4a000000
INFO:    SPSR = 0x3c9


U-Boot 2019.04-armbian (Oct 06 2019 - 03:05:46 +0200) Allwinner Technology

CPU:   Allwinner H6 (SUN50I)
Model: OrangePi 3
DRAM:  2 GiB
MMC:   mmc@4020000: 0, mmc@4022000: 1
Loading Environment from EXT4... ** File not found /boot/boot.env **

** Unable to read "/boot/boot.env" from mmc0:1 **
In:    serial@5000000
Out:   serial@5000000
Err:   serial@5000000
Net:   No ethernet found.
starting USB...
No controllers found
Hit any key to stop autoboot:  0
switch to partitions #0, OK
mmc0 is current device
Scanning mmc 0:1...
Found U-Boot script /boot/boot.scr
3042 bytes read in 1 ms (2.9 MiB/s)
## Executing script at 4fc00000
U-boot loaded from SD
Boot script loaded from mmc
116 bytes read in 1 ms (113.3 KiB/s)
29583 bytes read in 8 ms (3.5 MiB/s)
4161 bytes read in 5 ms (812.5 KiB/s)
Applying kernel provided DT fixup script (sun50i-h6-fixup.scr)
## Executing script at 44000000
7212285 bytes read in 731 ms (9.4 MiB/s)
15618056 bytes read in 1579 ms (9.4 MiB/s)
## Loading init Ramdisk from Legacy Image at 4fe00000 ...
   Image Name:   uInitrd
   Image Type:   AArch64 Linux RAMDisk Image (gzip compressed)
   Data Size:    7212221 Bytes = 6.9 MiB
   Load Address: 00000000
   Entry Point:  00000000
   Verifying Checksum ... OK
## Flattened Device Tree blob at 4fa00000
   Booting using the fdt blob at 0x4fa00000
   Loading Ramdisk to 4991f000, end 49fffcbd ... OK
   Loading Device Tree to 00000000498af000, end 000000004991efff ... OK

Starting kernel ...

 

h2testw_1.4 Test Result:

Spoiler

Warning: Only 60812 of 60903 MByte tested.
Test finished without errors.
You can now delete the test files *.h2w or verify them again.
Writing speed: 29.1 MByte/s
Reading speed: 77.7 MByte/s
H2testw v1.4

 

OrangePi_install2EMMC.sh content if anyone is interested:

Spoiler

#!/bin/bash

if [ "$(id -u)" != "0" ]; then
   echo "Script must be run as root !"
   exit 0
fi


_format=${1}

fatsize=64

sdcard="/dev/mmcblk0"
odir="/tmp/_extdir"
bootdir="/tmp/_fatdir"

if [ ! -b ${sdcard}boot0 ]; then
    echo "Error: EMMC not found."
    exit 1
fi
if [ ! -f /opt/boot/boot0.bin ]; then
    echo "Error: /opt/boot/boot0.bin not found."
    exit 1
fi
if [ ! -f /opt/boot/uboot.bin ]; then
    echo "Error: /opt/boot/uboot.bin not found."
    exit 1
fi

umount ${sdcard}* > /dev/null 2>&1
#----------------------------------------------------------
echo ""
echo -n "WARNING: EMMC WILL BE ERASED !, Continue (y/N)?  "
read -n 1 ANSWER

if [ ! "${ANSWER}" = "y" ] ; then
    echo "."
    echo "Canceled.."
    exit 0
fi
echo ""
#----------------------------------------------------------

echo "Erasing EMMC ..."
dd if=/dev/zero of=${sdcard} bs=1M count=32 > /dev/null 2>&1
sync
sleep 1

echo "Creating new filesystem on EMMC ..."
echo -e "o\nw" | fdisk ${sdcard} > /dev/null 2>&1
sync
echo "  New filesystem created on $sdcard."
sleep 1
partprobe -s ${sdcard} > /dev/null 2>&1
if [ $? -ne 0 ]; then
    echo "ERROR."
    exit 1
fi
sleep 1

echo "Partitioning EMMC ..."
sfat=40960
efat=$(( $fatsize * 1024 * 1024 / 512 + $sfat - 1))
echo "  Creating boot & linux partitions"
sext4=$(( $efat + 1))
eext4=""
echo -e "n\np\n1\n$sfat\n$efat\nn\np\n2\n$sext4\n$eext4\nt\n1\nb\nt\n2\n83\nw" | fdisk ${sdcard} > /dev/null 2>&1
echo "  OK."
sync
sleep 2
partprobe -s ${sdcard} > /dev/null 2>&1
if [ $? -ne 0 ]; then
    echo "ERROR."
    exit 1
fi
sleep 1

echo "Formating fat partition ..."
dd if=/dev/zero of=${sdcard}p1 bs=1M count=1 oflag=direct > /dev/null 2>&1
sync
sleep 1
mkfs.vfat -n EMMCBOOT ${sdcard}p1 > /dev/null 2>&1
if [ $? -ne 0 ]; then
    echo "  ERROR formating fat partition."
    exit 1
fi
echo "  fat partition formated."

dd if=/dev/zero of=${sdcard}p2 bs=1M count=1 oflag=direct > /dev/null 2>&1
sync
sleep 1

echo "Formating linux partition (ext4), please wait ..."
mkfs.ext4 -L emmclinux ${sdcard}p2 > /dev/null 2>&1
if [ $? -ne 0 ]; then
        echo "ERROR formating ext4 partition."
    exit 1
fi
echo "  linux partition formated."

#************************************************************************
echo ""
echo "Instaling u-boot to EMMC ..."
dd if=/opt/boot/boot0.bin of=${sdcard} bs=1k seek=8 > /dev/null 2>&1
if [ $? -ne 0 ]; then
    echo "ERROR installing u-boot."
    exit 1
fi
dd if=/opt/boot/uboot.bin of=${sdcard} bs=1k seek=16400 > /dev/null 2>&1
if [ $? -ne 0 ]; then
echo "ERROR installing u-boot."
exit 0
fi
sync
#************************************************************************

# -------------------------------------------------------------------

if [ ! -d $bootdir ]; then
    mkdir -p $bootdir
fi
rm $bootdir/* > /dev/null 2>&1
sync
umount $bootdir > /dev/null 2>&1

if [ ! -d $odir ]; then
    mkdir -p $odir
fi
rm -rf $odir/* > /dev/null 2>&1
sync
umount $odir > /dev/null 2>&1
sleep 1

# ================
# MOUNT PARTITIONS
# ================

_mntopt=""

echo ""
echo "Mounting EMMC partitions..."

if ! mount ${sdcard}p1 $bootdir; then
    echo "ERROR mounting fat partitions..."
    exit 1
fi
if ! mount ${_mntopt} ${sdcard}p2 $odir; then
    echo "ERROR mounting linux partitions..."
    umount $bootdir
    exit 1
fi
echo "FAT partitions mounted to $bootdir"
echo "linux partition mounted to $odir"


#-----------------------------------------------------------------------------------------------
echo ""
echo "Copying file system to EMMC ..."
echo ""

#-----------------------------------------------------------------------------------------
rsync -r -t -p -o -g -x --delete -l -H -D --numeric-ids -s --stats / $odir/ > /dev/null 2>&1
if [ $? -ne 0 ]; then
    echo "  ERROR."
fi
#-----------------------------------------------------------------------------------------
sync

echo "  Creating \"fstab\""
echo "# OrangePI fstab" > $odir/etc/fstab
if [ "${_format}" = "btrfs" ] ; then
    echo "/dev/mmcblk0p2  /  btrfs subvolid=0,noatime,nodiratime,compress=lzo  0 1" >> $odir/etc/fstab
else
    echo "/dev/mmcblk0p2  /  ext4  errors=remount-ro,noatime,nodiratime  0 1" >> $odir/etc/fstab
fi
echo "/dev/mmcblk0p1  /media/boot  vfat  defaults  0 0" >> $odir/etc/fstab
echo "tmpfs /tmp  tmpfs nodev,nosuid,mode=1777  0 0" >> $odir/etc/fstab
sync

#-----------------------------------------------------------------------------------------
rsync -r -t -p -o -g -x --delete -l -H -D --numeric-ids -s --stats /boot/ $bootdir/ > /dev/null 2>&1
if [ $? -ne 0 ]; then
    echo "  ERROR."
fi
#-----------------------------------------------------------------------------------------

cp /opt/boot/uEnv.txt $bootdir/

sync


# UMOUNT
if ! umount $bootdir; then
  echo "ERROR unmounting fat partition."
  exit 1
fi
rm -rf $bootdir/* > /dev/null 2>&1
rmdir $bootdir > /dev/null 2>&1

if ! umount $odir; then
    echo "ERROR unmounting linux partitions."
    exit 0
fi

rm -rf $odir/* > /dev/null 2>&1
rmdir $odir > /dev/null 2>&1
sync

echo ""
echo -e "\033[36m*******************************"
echo "Linux system installed to EMMC."
echo -e "*******************************\033[37m"
setterm -default
echo ""

exit 0

 

Share this post


Link to post
Share on other sites
On 9/8/2019 at 10:22 AM, krachlatte said:

[ 4930.512612] Internal error: SP/PC alignment exception: 8a000000 [#1] SMP
[ 4930.519320] Modules linked in: xt_MASQUERADE nf_conntrack_netlink nfnetlink xfrm_user xfrm_algo iptable_nat xt_addrtype iptable_filter xt_conntrack nf_nat nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 br_netfilter bridge nls_utf8 cifs fscache libarc4 aufs overlay bnep zstd zram fuse snd_soc_hdmi_codec snd_soc_core snd_pcm_dmaengine snd_pcm snd_timer snd soundcore btsdio bluetooth brcmfmac brcmutil ch341 usbserial uas cfg80211 rfkill dw_hdmi_cec dw_hdmi_i2s_audio panfrost gpu_sched cpufreq_dt realtek i2c_mv64xxx dwmac_sun8i mdio_mux
[ 4930.566124] CPU: 0 PID: 0 Comm: swapper/0 Not tainted 5.3.0-rc6-sunxi64 #5.96.190908
[ 4930.573854] Hardware name: OrangePi 3 (DT)
[ 4930.577944] pstate: 80000085 (Nzcv daIf -PAN -UAO)
[ 4930.582731] pc : 0x7fffffffffffffff
[ 4930.586220] lr : __hrtimer_run_queues+0x170/0x210
[ 4930.590915] sp : ffff000010003e50
[ 4930.594224] x29: ffff000010003e50 x28: ffff8000730d5500
[ 4930.599528] x27: ffff800077b80d40 x26: 0000000000000060
[ 4930.604830] x25: 0000000000000080 x24: 15c26873e65a79bb
[ 4930.610134] x23: 0000000000000001 x22: 0000000000000000
[ 4930.615438] x21: 0000000000000001 x20: ffff800077b80d00
[ 4930.620732] x19: ffff800077b80d80 x18: 0000000000000000
[ 4930.626035] x17: 0000000000000000 x16: 0000000000000000
[ 4930.631339] x15: 0000000000000000 x14: 0000000000000000
[ 4930.636643] x13: 0000000000000001 x12: 0000000000034079
[ 4930.641946] x11: 0000000000000000 x10: 0000000000000040
[ 4930.647250] x9 : ffff000010e62b38 x8 : ffff000010e62b30
[ 4930.652554] x7 : ffff000010e32980 x6 : ffff800077b80d00
[ 4930.657857] x5 : ffff00001222b850 x4 : 0000047bf68e2800
[ 4930.663152] x3 : ffff00001222b850 x2 : 0000047bf68e2800
[ 4930.668456] x1 : 0000000000000006 x0 : 0000000000000004
[ 4930.673760] Call trace:
[ 4930.676203]  0x7fffffffffffffff
[ 4930.679340]  hrtimer_interrupt+0xf8/0x2d0
[ 4930.683347]  arch_timer_handler_phys+0x28/0x40
[ 4930.687785]  handle_percpu_devid_irq+0x80/0x140
[ 4930.692311]  generic_handle_irq+0x24/0x38
[ 4930.696315]  __handle_domain_irq+0x5c/0xb0
[ 4930.700406]  gic_handle_irq+0x58/0xa8
[ 4930.704062]  el1_irq+0xb8/0x140
[ 4930.707198]  arch_cpu_idle+0x10/0x18
[ 4930.710769]  do_idle+0x1e0/0x2c0
[ 4930.713992]  cpu_startup_entry+0x20/0x28
[ 4930.717910]  rest_init+0xb4/0xc0
[ 4930.721133]  arch_call_rest_init+0xc/0x14
[ 4930.725136]  start_kernel+0x44c/0x478
[ 4930.728797] Code: bad PC value
[ 4930.731847] ---[ end trace c5dcc02a219943cf ]---
[ 4930.736458] Kernel panic - not syncing: Fatal exception in interrupt
[ 4930.742804] SMP: stopping secondary CPUs
[ 4930.746722] Kernel Offset: disabled
[ 4930.750205] CPU features: 0x0002,20002004
[ 4930.754207] Memory Limit: none
[ 4930.757259] Rebooting in 10 seconds..

 

does  not look that good the latest version , switching pack the dtb file

 

 

 

also this problem shows up

 

cat /sys/class/thermal/thermal_zone0/temp: invalid argument

 

 

 

 

 

 

 

 

 

 

looks like we have the same problem.  5.88.190601 is the last bootable version for my board.

 

If you want newer versions you have to hold the dtb: apt-mark hold linux-dtb-dev-sunxi64 and upgrade from there.

 

My guess is its the new lowered voltage table:
https://github.com/armbian/build/blob/master/patch/kernel/sunxi-dev/0012-general-h6-new-opp-table.patch

 

Since then some experience stability issues and others like myself are not even able to fully boot up without random kernel panics. 

 

Share this post


Link to post
Share on other sites
1 hour ago, Teikahym said:

My guess is its the new lowered voltage table:


Possible. Now how we are going to get to the table that works well for all?

All my H6 tests boards works fine with stock settings which are bad for you.

 

On 10/6/2019 at 2:36 PM, 062621AM said:

OrangePi_install2EMMC.sh content if anyone is interested:


https://docs.armbian.com/User-Guide_Getting-Started/#how-to-install-to-emmc-nand-sata-usb

Share this post


Link to post
Share on other sites

5.4-rc1 contains patch to support using multiple DVFS tables based on H6 SoC speed bin. There are 3 bins slow/normal/fast and depending on which you happen to have on your board, you may lower the voltages for the same frequency. The fastest bin can deal with the lower voltages. Until this is configured in the DTS, everyone needs to use values for the worst bin (that is, to use higher voltages), because kernel can't assume it's running on a better bin.

Share this post


Link to post
Share on other sites
41 minutes ago, megi said:

5.4-rc1 contains patch to support using multiple DVFS tables based on H6 SoC speed bin. There are 3 bins slow/normal/fast and depending on which you happen to have on your board, you may lower the voltages for the same frequency. The fastest bin can deal with the lower voltages. Until this is configured in the DTS, everyone needs to use values for the worst bin (that is, to use higher voltages), because kernel can't assume it's running on a better bin.

Is there a way to check the speed bin and how do I set the values?

Share this post


Link to post
Share on other sites

No boot after today upgrade and reboot

 

 U-boot wroks fine. Is it possible to recover system without reflash?

Share this post


Link to post
Share on other sites

=> boot
switch to partitions #0, OK
mmc1(part 0) is current device
Scanning mmc 1:1...
Found U-Boot script /boot/boot.scr
3042 bytes read in 1 ms (2.9 MiB/s)
## Executing script at 4fc00000
U-boot loaded from SD
Boot script loaded from mmc
165 bytes read in 1 ms (161.1 KiB/s)
Card did not respond to voltage select!
libfdt fdt_check_header(): FDT_ERR_BADMAGIC
No FDT memory address configured. Please configure
the FDT address via "fdt addr <address>" command.
Aborting!
Bad Linux ARM64 Image magic!
SCRIPT FAILED: continuing...
Card did not respond to voltage select!
starting USB...
No controllers found
USB is stopped. Please issue 'usb start' first.
starting USB...
No controllers found
No ethernet found.
missing environment variable: pxeuuid
missing environment variable: bootfile
Retrieving file: pxelinux.cfg/00000000
No ethernet found.
missing environment variable: bootfile
Retrieving file: pxelinux.cfg/0000000
No ethernet found.
missing environment variable: bootfile
Retrieving file: pxelinux.cfg/000000
No ethernet found.
missing environment variable: bootfile
Retrieving file: pxelinux.cfg/00000
No ethernet found.
missing environment variable: bootfile
Retrieving file: pxelinux.cfg/0000
No ethernet found.
missing environment variable: bootfile
Retrieving file: pxelinux.cfg/000
No ethernet found.
missing environment variable: bootfile
Retrieving file: pxelinux.cfg/00
No ethernet found.
missing environment variable: bootfile
Retrieving file: pxelinux.cfg/0
No ethernet found.
missing environment variable: bootfile
Retrieving file: pxelinux.cfg/default-arm-sunxi
No ethernet found.
missing environment variable: bootfile
Retrieving file: pxelinux.cfg/default-arm
No ethernet found.
missing environment variable: bootfile
Retrieving file: pxelinux.cfg/default
No ethernet found.
Config file not found
starting USB...
No controllers found
No ethernet found.
No ethernet found.

Share this post


Link to post
Share on other sites
9 hours ago, AZ8 said:

No boot after today upgrade and reboot

 

 U-boot wroks fine. Is it possible to recover system without reflash?

How do you check the U-Boot?

Share this post


Link to post
Share on other sites
3 hours ago, 062621AM said:

How do you check the U-Boot?

Maybe I am wrong, but uBoot has version with timestamp like 201904, therefore I assume it was not change during last upgrade.

Share this post


Link to post
Share on other sites
15 hours ago, AZ8 said:

Is it possible to boot from sd and recover /boot on mmc?

If not mistaken, the board will always boot from SD card.

Share this post


Link to post
Share on other sites
  1. Wrote latest image to SD
  2. Boot from SD
  3. mounted /dev/mmcblk2p1, copied armbianEnv.txt
  4. formated /dev/mmcblk2p1
  5. rsync /boot to /dev/mmcblk2p1
  6. copy armbianEnv.txt to /dev/mmcblk2p1
  7. removed sd and reboot

system starts to boot, but can not find root

 

Is this a proper way to install boot? I do not want to tun nand-sata-install and erase mmc.

 

Share this post


Link to post
Share on other sites

I remember once, I had to modify /etc/fstab to direct / to the right uuid to get a booting system.

Share this post


Link to post
Share on other sites
On 10/7/2019 at 7:25 PM, 062621AM said:

Is there a way to check the speed bin and how do I set the values?

Yes, reading the bin is part of the commit f328584f7bff86858249bb358f1adcecde48388a

It's store in SID memory, as a part of ChipID bytes.

https://patchwork.kernel.org/patch/10903381/

How to set values is docummented in the dt-bindings patch.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
46 46